<?php
  include("./control/session.inc");
  $cname = 'image_up'; 

function form()
{

  $c1 = $_POST['c1'];

  $form = <<<EOD
<div id="main_r1">
<h2>画像ファイルのアップロード</h2>

<form action="AYANASU_control.php?cname=image_up" enctype="multipart/form-data" method="post">
<div id="form_box1">
<h3>アップロードの操作方法</h3>
・「ファイル選択」ボタンをクリックして画像ファイルを選んでください。
<br>
・選択が終了したら「アップロード」ボタンをクリックして下さいませ。
<br>
・パソコンで複数のファイルを選択する場合は「Ctrl」キーを押しながらファイルをクリックします。
<br><br>
<div id="box_title">
<input type="file" name="upfile[]" accept="image/*; capture=camera" multiple>
<input type="hidden" name="c1" value="1">
<input type="submit" value="アップロード">
</div>
</div>
</form>
</div>
EOD;

  $gif_an = <<<EOD
<div id="main_r1">
<h2>画像ファイルの保存中です</h2>
<div class="loader"></div>…UP LOAD
<br>
</div>
EOD;



if($_POST['c1'] =="1" and isset($_FILES["upfile"])){
    print("$gif_an");
    $dir = "./content/img_up/";
    if(file_exists($dir)){
    $check='ok';
    chmod($dir, 0755);
    }else{
    mkdir($dir, 0755);
    chmod($dir, 0755);
    }

  for ($i = 0; $i< count($_FILES["upfile"]["tmp_name"]); $i++) {
    if (is_uploaded_file($_FILES["upfile"]["tmp_name"][$i])) {
    $fileName = $dir.date("Ymd_his").$_FILES["upfile"]["name"][$i];
      if (file_exists($fileName)===false) {
        if (move_uploaded_file($_FILES["upfile"]["tmp_name"][$i], $fileName)) {
        chmod($fileName, 0644);
        echo $_FILES["upfile"]["name"][$i] . "をアップロードしました。<br>";
        header("Refresh: 2; URL=AYANASU_control.php?cname=img_list");

      }else{echo "アップロードエラー";}
      }else{
      echo "既にファイルが存在します。少し時間をおいてやり直してください。";
      header("Refresh: 2; URL=AYANASU_control.php?cname=image_up");
      }
      }else{
      echo "ファイルが選択されていません";
      header("Refresh: 2; URL=AYANASU_control.php?cname=image_up");
    }
  }

}else{
print $form;
}

}//function form()

?>

